@import url('https://fonts.googleapis.com/css?family=Neucha');

* {
    padding: 0;
    margin: 0;
    font-family: Tahoma;
}

body {
    background-color: #FFFAE6;
    color: #726325;
    font-size: 1.0rem;
}

h1 {
    margin-bottom: 10px;
}

h1, h2 {
    font-family: 'Neucha', cursive;
    font-weight: normal;
    color: #A28C35;
}

h2 {
    font-size: 1.6rem;
}

a {
    text-decoration: none;
    font-family: inherit;
}

a:hover {
    color: #000000 !important;
}

a, a:visited {
    color: #A28C35;
}

.text-italic {
    font-style: italic;
}

p {
    margin-bottom: 15px;
}

#site-container {

}

#site-header {

}

#super-inspiring-words {
    position: absolute;
    top: 5px;
    right: 10px;
    text-align: right;
}

#super-inspiring-words * {
    font-size: 0.95rem;
    font-family: 'Neucha', cursive;
    color: #E2CD7E;
}

#me {
    color: #FFFAE6;
}

#super-inspiring-words:hover #me {
    color: #E2CD7E;
}

#site-logo {
    max-width: 207px;
    max-height: 210px;
    margin-left: auto;
    margin-right: auto;
}

#site-logo img {
    margin-top: 140px;
}

#site-logo-oats {
    position: relative;
    left: 104px;
    margin-bottom: 7px;
}

.site-logo-oat {
    width: 37px;
    height: 130px;
    position: absolute;
    background-image: url('../images/oat_logo.png');
    transform-origin: 50% 100%;
}

#site-logo-left-oat {
    left: -13px;
    top: 25px;
    transform: rotate(-25deg);
}

#site-logo-right-oat {
    left: 13px;
    top: 25px;
    transform: rotate(25deg);
}

#site-menu {
    margin-left: 0;
    margin-right: 0;
    margin-top: 20px;
    display: flex;
    justify-content: center;
}

#site-menu ul {
    list-style-type: none;
}

#site-menu li {
    float: left;
    margin: 20px;
}

#site-menu li a {
    font-family: 'Neucha', cursive;
    font-size: 1.75rem;
    color: #C8B157;
}

#site-menu li a:hover, .site-menu-active {
    color: #A28C35 !important;
}

#site-content {
    max-width: 1000px;
    margin-left: auto;
    margin-right: auto;
    margin-top: 50px;
    padding: 20px;
}

#site-home {
    text-align: center;
}

#home-definition{
    display: inline-block;
    text-align: left;
    font-family: 'Neucha', cursive;
    font-size: 1.6rem;
    position: relative;
}

#site-blog {
    
}

.blog-entry {
    margin-bottom: 50px;
}

#site-about {

}

.about-portrait {
    width: 264px;
    height: 314px;
    box-sizing: border-box;
    perspective: 1000px;
    margin-bottom: 20px;
}

.about-portrait-container {
    position: relative;
    width: 264px;
    height: 314px;
    transition: transform 0.33s;
    transform-style: preserve-3d;
    text-align: center;
    background-color: #FFFFFF;
    box-shadow: 0 0 2px 0px rgba(0, 0, 0, 0.15);
    display: flex;
    justify-content: center;
    align-items: center;
    font-family: 'Neucha', cursive;
    font-size: 1.4rem;
    color: #000000;
}

.about-portrait:hover .about-portrait-container {
    transform: rotateY(180deg);
}

.about-portrait-picture {
    width: 224px;
    height: 224px;
    outline: 1px inset rgba(0, 0, 0, 0.075);
    display: flex;
    justify-content: center;
    align-items: center;
}

.about-portrait-beach {
    background-image: url('../images/portrait_background_at_the_beach.png');
}

.about-portrait-space {
    background-image: url('../images/portrait_background_in_space.png');
}

.about-portrait-underwater {
    background-image: url('../images/portrait_background_underwater.png');
}

.about-portrait-caption {
    margin-top: 20px;
    text-align: center;
    font-family: inherit;
    
}

.about-portrait-front, .about-portrait-back {
    position: absolute;
    backface-visibility: hidden;
    font-family: inherit;
}

.about-portrait-front {
    transform: rotateX(0deg);
}

.about-portrait-back {
    transform: rotateY(180deg);
    font-family: inherit;
}

.project {
    padding: 20px;
    background-color: #FFFDF2;
    border: 1px solid #EAE1BD;
    margin-bottom: 20px;
}

.project-image {
    display: flex;
    align-items: center;
    justify-content: flex-end;
}

.project img {
    max-width: 400px;
    max-height: 100%;
    box-shadow: 0 0 2px 0px rgba(0, 0, 0, 0.25);
    position: relative;
    right: 0;
}

.text-right {
    text-align: right;
}

.text-bold {
    font-weight: bold;
}

.text-smaller {
    font-size: 0.9rem;
}

.signature {
    display: block;
    width: 100px;
}